/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import java.util.Objects;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "transferListToUpdateStatus")
public class TransferListToUpdateStatus {

    private String idLoan;

    /**
     *
     */
    public TransferListToUpdateStatus() {
    }

    /**
     *
     * @param idLoan
     */
    public TransferListToUpdateStatus(String idLoan) {
        this.idLoan = idLoan;
    }

    @XmlElement(name = "idLoan")
    public String getIdLoan() {
        return idLoan;
    }

    public void setIdLoan(String idLoan) {
        this.idLoan = idLoan;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 79 * hash + Objects.hashCode(this.idLoan);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TransferListToUpdateStatus other = (TransferListToUpdateStatus) obj;
        if (!Objects.equals(this.idLoan, other.idLoan)) {
            return false;
        }
        return true;
    }

}
